public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matthias Maier" <tamiko@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/quodlibet/
Date: Sun, 30 Jun 2019 18:20:17 +0000 (UTC)	[thread overview]
Message-ID: <1561918757.7fda3b34d5099c61c2961e678b390c1673d42ec5.tamiko@gentoo> (raw)

commit:     7fda3b34d5099c61c2961e678b390c1673d42ec5
Author:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 30 16:05:15 2019 +0000
Commit:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
CommitDate: Sun Jun 30 18:19:17 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7fda3b34

media-sound/quodlibet: version bump to 4.2.0

Closes: https://bugs.gentoo.org/676282
Package-Manager: Portage-2.3.67, Repoman-2.3.16
Signed-off-by: Matthias Maier <tamiko <AT> gentoo.org>

 media-sound/quodlibet/Manifest               |  1 +
 media-sound/quodlibet/quodlibet-4.2.0.ebuild | 65 ++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/media-sound/quodlibet/Manifest b/media-sound/quodlibet/Manifest
index 89ffbaa9fbd..5b458ad125e 100644
--- a/media-sound/quodlibet/Manifest
+++ b/media-sound/quodlibet/Manifest
@@ -1,3 +1,4 @@
 DIST quodlibet-3.8.1.tar.gz 3697363 BLAKE2B 67c56281a998d93b2ea457656473ab7fc45a1d4d80aa561fc1946e129ac91a01c65fdb34bd314b5742756708714ac043341cae6ee38e93e37a7a16e3bf481c20 SHA512 5f8f7ba3157dea83782c64989114ad38295c660300284b72e825eba46eae053120c96e60518d573b4010dd49e396a4fe8d04788e632e61e38fa6edd953014275
 DIST quodlibet-3.9.1.tar.gz 3850929 BLAKE2B c4317521259f1d46e927276ee8bd927afd72708f7b6e260a68e2cfe6e949f44e08df5884f3613804955b18b7284f0140f9d2d409833bd0a139732728903ae978 SHA512 6d6b6380de2fc2d3ab1614b304f2d7219ff1d823e03f532baa0e9b1308fd36094ad745433494253d956182ae9914eb62846df3d3e5fea92dddccdaa725178563
 DIST quodlibet-4.1.0.tar.gz 4882607 BLAKE2B 1e0c519eb3f1d377dc7fc0ee2a08faa51632eabd1f21638e38aaf5edc4faa6707274edfe314910b32895e59a5cdd27434914afb1c33aa2914788e644db2d2aaf SHA512 987001b6335e18ce18d25b71be327261c3fe5e0a142395ce061d7460e9ade2543a3372a64560b804be3e4d70889017612e9bc1a72215d45b215caf4da545e9ae
+DIST quodlibet-4.2.0.tar.gz 4894320 BLAKE2B 0109322ee845e0ca99d620f396c937c0c340e98bfd4b4ffb5aab0253177bdbdac7b59789f05a78f5f610bd2e0037c5cfbc919aea65542d663ce5f65a032bae61 SHA512 3a978acdddd5f7e2736e4d3764d8921d000ec8602c18e319d54d881f606ac97a4c06f23aa4c6f8813121855ed97982a63cd51d594aa12095c7c4cdc32da64eb2

diff --git a/media-sound/quodlibet/quodlibet-4.2.0.ebuild b/media-sound/quodlibet/quodlibet-4.2.0.ebuild
new file mode 100644
index 00000000000..4c615f8947e
--- /dev/null
+++ b/media-sound/quodlibet/quodlibet-4.2.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6} )
+inherit distutils-r1 gnome2-utils xdg-utils
+
+DESCRIPTION="audio library tagger, manager, and player for GTK+"
+HOMEPAGE="https://quodlibet.readthedocs.io/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/release-${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="+dbus gstreamer +udev"
+
+RDEPEND="dev-libs/keybinder:3[introspection]
+	dev-python/feedparser[${PYTHON_USEDEP}]
+	dev-python/pygobject:3[${PYTHON_USEDEP}]
+	>=media-libs/mutagen-1.32[${PYTHON_USEDEP}]
+	net-libs/libsoup[introspection]
+	x11-libs/gtk+[introspection]
+	gstreamer? (
+		media-libs/gstreamer:1.0
+		media-libs/gst-plugins-base:1.0
+		media-libs/gst-plugins-good:1.0
+		media-plugins/gst-plugins-meta:1.0
+		)
+	!gstreamer? ( media-libs/xine-lib )
+	dbus? (
+		app-misc/media-player-info
+		dev-python/dbus-python[${PYTHON_USEDEP}]
+		)
+	udev? ( virtual/udev )
+	!media-plugins/quodlibet-plugins"
+DEPEND="dev-util/intltool"
+
+S="${WORKDIR}/${PN}-release-${PV}/${PN}"
+
+src_prepare() {
+	local qlconfig=${PN}/config.py
+
+	if ! use gstreamer; then
+		sed -i -e '/backend/s:gstbe:xinebe:' ${qlconfig} || die
+	fi
+
+	sed -i -e '/gst_pipeline/s:"":"alsasink":' ${qlconfig} || die
+
+	distutils-r1_src_prepare
+}
+
+src_install() {
+	distutils-r1_src_install
+	dodoc NEWS README
+}
+
+pkg_postinst() {
+	xdg_desktop_database_update
+	gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+	gnome2_icon_cache_update
+}


             reply	other threads:[~2019-06-30 18:20 UTC|newest]

Thread overview: 84+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-06-30 18:20 Matthias Maier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-31 19:40 [gentoo-commits] repo/gentoo:master commit in: media-sound/quodlibet/ Sam James
2024-07-31 19:14 Arthur Zamarin
2024-07-31 19:14 Arthur Zamarin
2024-07-31 18:44 Sam James
2024-07-04 14:00 Miroslav Šulc
2024-07-03 21:48 Matthias Maier
2024-03-04 10:33 Miroslav Šulc
2024-03-02 14:47 Arthur Zamarin
2024-02-27 23:42 Sam James
2024-02-17 14:48 Sam James
2024-02-16 19:25 Sam James
2024-02-16 19:25 Sam James
2024-01-17  6:34 Sam James
2024-01-17  6:34 Sam James
2023-12-06 12:32 Miroslav Šulc
2023-12-05 20:37 Arthur Zamarin
2023-09-26 12:29 Arthur Zamarin
2023-09-26 12:29 Arthur Zamarin
2023-09-26 12:29 Arthur Zamarin
2023-08-27  7:04 Miroslav Šulc
2022-11-18  7:23 Miroslav Šulc
2022-05-06  6:18 Miroslav Šulc
2022-05-05 20:28 Sam James
2022-05-05 17:45 Arthur Zamarin
2022-05-05  9:54 Jakov Smolić
2022-05-05  9:54 Jakov Smolić
2022-04-04  1:07 Sam James
2022-03-30  6:34 Miroslav Šulc
2021-07-05 13:54 Tobias Klausmann
2021-04-16  9:53 Tobias Klausmann
2021-04-11  0:13 Thomas Deutschmann
2021-04-09 22:22 Sam James
2021-03-20 13:30 Tobias Klausmann
2021-03-20 13:25 Tobias Klausmann
2021-01-01  1:06 Michał Górny
2020-05-18 21:13 Agostino Sarubbo
2020-05-18 21:10 Agostino Sarubbo
2020-05-18 15:12 Agostino Sarubbo
2020-05-18 15:11 Agostino Sarubbo
2020-04-22  8:17 Tobias Klausmann
2020-02-16 12:51 Tobias Klausmann
2020-01-27 13:46 Agostino Sarubbo
2020-01-27 12:29 Agostino Sarubbo
2020-01-27 12:13 Agostino Sarubbo
2020-01-27  9:33 Sergei Trofimovich
2020-01-26  3:32 Matthias Maier
2019-06-30 19:11 Matthias Maier
2019-06-30 18:20 Matthias Maier
2019-02-22 11:08 Mikle Kolyada
2019-02-15 15:46 Thomas Deutschmann
2019-02-12 21:03 Sergei Trofimovich
2019-01-27 23:13 Andreas Sturmlechner
2019-01-27 23:13 Andreas Sturmlechner
2018-09-15 18:26 Sergei Trofimovich
2018-06-05 20:11 Matthias Maier
2018-06-05 20:11 Matthias Maier
2018-06-05 20:11 Matthias Maier
2018-04-28  6:43 Tobias Klausmann
2018-04-28  6:42 Tobias Klausmann
2018-04-27 21:24 Aaron Bauman
2018-04-26 19:22 Thomas Deutschmann
2018-04-20 19:45 David Seifert
2018-02-07  0:54 Matthias Maier
2017-09-06  1:48 Matthias Maier
2017-05-20 23:46 Michael Weber
2017-05-01 13:37 Agostino Sarubbo
2017-05-01  1:19 Matthias Maier
2017-02-16 13:16 Tobias Klausmann
2017-01-27 10:25 Tobias Klausmann
2017-01-26 18:59 Matthias Maier
2017-01-26 18:58 Matthias Maier
2017-01-03 19:29 Tobias Klausmann
2016-12-04 18:49 Tobias Klausmann
2016-09-20 16:30 Matthias Maier
2016-08-23 16:10 Matthias Maier
2016-06-12  8:05 Matthias Maier
2016-06-12  8:05 Matthias Maier
2016-06-12  8:05 Matthias Maier
2016-02-28  5:25 Matthias Maier
2016-02-14 10:11 Agostino Sarubbo
2016-01-06  8:50 Matthias Maier
2015-11-02  0:18 Matthias Maier
2015-09-14  3:39 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1561918757.7fda3b34d5099c61c2961e678b390c1673d42ec5.tamiko@gentoo \
    --to=tamiko@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox